linux-ti-omap4: 2.6.38-1209.19 -proposed tracker

Bug #906913 reported by Andy Whitcroft on 2011-12-20
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Undecided
Unassigned
Certification-testing
Undecided
Unassigned
Prepare-package
Undecided
Andy Whitcroft
Prepare-package-meta
Undecided
Canonical Kernel Team
Promote-to-proposed
Undecided
Ubuntu Stable Release Updates Team
Promote-to-security
Undecided
Ubuntu Stable Release Updates Team
Promote-to-updates
Undecided
Ubuntu Stable Release Updates Team
Regression-testing
Undecided
Tobin Davis
Security-signoff
Undecided
John Johansen
Verification-testing
Undecided
ubuntu-armel-kernel
linux-ti-omap4 (Ubuntu)
Medium
Unassigned
Natty
Undecided
Unassigned

Bug Description

This bug is for tracking the 2.6.38-1209.19 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Tuesday, 20. December 2011 14:45 UTC
kernel-stable-Certification-testing-end:Tuesday, 20. December 2011 15:00 UTC
kernel-stable-Prepare-package-end:Wednesday, 21. December 2011 02:45 UTC
kernel-stable-Promote-to-proposed-start:Wednesday, 21. December 2011 02:45 UTC
kernel-stable-Promote-to-proposed-end:Wednesday, 21. December 2011 10:15 UTC
kernel-stable-Verification-testing-start:Wednesday, 21. December 2011 10:15 UTC
kernel-stable-Regression-testing-end:Wednesday, 21. December 2011 21:30 UTC
kernel-stable-Security-signoff-start:Monday, 02. January 2012 20:46 UTC
kernel-stable-Verification-testing-end:Monday, 02. January 2012 20:46 UTC
kernel-stable-Promote-to-updates-start:Tuesday, 03. January 2012 17:15 UTC
kernel-stable-Security-signoff-end:Tuesday, 03. January 2012 17:15 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Wednesday, 04. January 2012 08:30 UTC
kernel-stable-Promote-to-updates-end:Wednesday, 04. January 2012 08:30 UTC

Andy Whitcroft (apw) on 2011-12-20
tags: added: kernel-release-tracking-bug
tags: added: armel
Changed in linux-ti-omap4 (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
tags: added: natty
Changed in kernel-sru-workflow:
status: New → In Progress
Brad Figg (brad-figg) on 2011-12-20
description: updated

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
Martin Pitt (pitti) on 2011-12-21
Changed in linux-ti-omap4 (Ubuntu):
status: In Progress → Invalid
Brad Figg (brad-figg) on 2011-12-21
description: updated
Tobin Davis (gruemaster) wrote :

All QA tests passed including mmap tests attached to lp:861296.

tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2011-12-21
description: updated
Brad Figg (brad-figg) on 2012-01-02
description: updated
John Johansen (jjohansen) wrote :

looks good

Brad Figg (brad-figg) on 2012-01-03
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-ti-omap4 - 2.6.38-1209.19

---------------
linux-ti-omap4 (2.6.38-1209.19) natty-proposed; urgency=low

  * Release Tracking Bug
    - LP: #906913

  [ Upstream Kernel Changes ]

  * use cache type functions for arch_get_unmapped_area
  * topdown mmap support
  * TPM: Zero buffer after copying to userspace, CVE-2011-1162
    - LP: #899463
    - CVE-2011-1162
  * hfs: fix hfs_find_init() sb->ext_tree NULL ptr oops, CVE-2011-2203
    - LP: #899466
    - CVE-2011-2203
  * KEYS: Fix a NULL pointer deref in the user-defined key type,
    CVE-2011-4110
    - LP: #894369
    - CVE-2011-4110
 -- Andy Whitcroft <email address hidden> Tue, 20 Dec 2011 14:27:12 +0000

Changed in linux-ti-omap4 (Ubuntu Natty):
status: New → Fix Released

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated

On Mon, 02 Jan 2012 16:11:30 -0500, Marc Deslauriers
<email address hidden> wrote:

> ** Changed in: kernel-sru-workflow/security-signoff
> Assignee: Marc Deslauriers (mdeslaur) => Chris Johansen (johansen)
>
> ** Changed in: kernel-sru-workflow/security-signoff
> Assignee: Chris Johansen (johansen) => John Johansen (jjohansen)

Marc, what is this?

Best regards,
--
Chris Johansen {johansen at main dot nc dot us}
  . . . collapsing the probability wave function, sending ripples of
certainty through the space-time continuum.
http://1di.com/contact/=christopher.karl.johansen
using Opera's revolutionary e-mail client: http://www.opera.com/mail/

Download full text (3.6 KiB)

On Mon, 02 Jan 2012 16:11:32 -0500, Launchpad Bug Tracker
<email address hidden> wrote:

> Marc Deslauriers (mdeslaur) has assigned this bug to you

Friends, how did I get drafted?

I don't ever recall the app I was running. It popped up a window to the
effect that it had halted and I should click the button to report this
defect. The next thing I know *I* am on the hook to fix it?

How did that happen?

> for linux-ti-omap4 in Ubuntu Natty:
>
> This bug is for tracking the 2.6.38-1209.19 upload package. This bug
> will contain status and testing results related to that upload.
>
> For an explanation of the tasks and the associated workflow see:
> https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
> kernel-stable-Prepare-package-start:Tuesday, 20. December 2011 14:45 UTC
> kernel-stable-Certification-testing-end:Tuesday, 20. December 2011 15:00
> UTC
> kernel-stable-Prepare-package-end:Wednesday, 21. December 2011 02:45 UTC
> kernel-stable-Promote-to-proposed-start:Wednesday, 21. December 2011
> 02:45 UTC
> kernel-stable-Promote-to-proposed-end:Wednesday, 21. December 2011 10:15
> UTC
> kernel-stable-Verification-testing-start:Wednesday, 21. December 2011
> 10:15 UTC
> kernel-stable-Regression-testing-end:Wednesday, 21. December 2011 21:30
> UTC
> kernel-stable-phase:Testing
> kernel-stable-Security-signoff-start:Monday, 02. January 2012 20:46 UTC
> kernel-stable-phase-changed:Monday, 02. January 2012 20:46 UTC
> kernel-stable-Verification-testing-end:Monday, 02. January 2012 20:46 UTC
>
> ** Affects: kernel-sru-workflow
> Importance: Undecided
> Status: In Progress
>
> ** Affects: kernel-sru-workflow/certification-testing
> Importance: Undecided
> Status: Invalid
>
> ** Affects: kernel-sru-workflow/prepare-package
> Importance: Undecided
> Assignee: Andy Whitcroft (apw)
> Status: Fix Released
>
> ** Affects: kernel-sru-workflow/prepare-package-meta
> Importance: Undecided
> Assignee: Canonical Kernel Team (canonical-kernel-team)
> Status: Invalid
>
> ** Affects: kernel-sru-workflow/promote-to-proposed
> Importance: Undecided
> Assignee: Ubuntu Stable Release Updates Team (ubuntu-sru)
> Status: Fix Released
>
> ** Affects: kernel-sru-workflow/promote-to-security
> Importance: Undecided
> Assignee: Ubuntu Stable Release Updates Team (ubuntu-sru)
> Status: New
>
> ** Affects: kernel-sru-workflow/promote-to-updates
> Importance: Undecided
> Assignee: Ubuntu Stable Release Updates Team (ubuntu-sru)
> Status: New
>
> ** Affects: kernel-sru-workflow/regression-testing
> Importance: Undecided
> Assignee: Tobin Davis (gruemaster)
> Status: Fix Released
>
> ** Affects: kernel-sru-workflow/security-signoff
> Importance: Undecided
> Assignee: Chris Johansen (johansen)
> Status: In Progress
>
> ** Affects: kernel-sru-workflow/verification-testing
> Importance: Undecided
> Assignee: ubuntu-armel-kernel (ubuntu-armel-kernel)
> Status: Fix Released
>
> ** Affects: linux-ti-omap4 (Ubuntu)
> Importance: Medium
> Status: Invalid
>
> ** Affects: ...

Read more...

Martin Pitt (pitti) wrote :

Hello Chris,

Chris Johansen [2012-01-08 0:16 -0000]:
> Friends, how did I get drafted?

Don't worry, it was an error. It was meant to be assigned to
"jjohansen", but typoed to "johansen" (which is you). It's now
assigned to the correct person.

Sorry for the confusion!

Martin

--
Martin Pitt | http://www.piware.de
Ubuntu Developer (www.ubuntu.com) | Debian Developer (www.debian.org)

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers